﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddCatalog.aspx.cs" Inherits="CatalogManager.AddCatalog" EnableViewState = "false"%>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>カタログ追加 - Catalog Manager</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <h1>
        <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
        </asp:ToolkitScriptManager>
        カタログ追加 - Catalog Manager</h1>
    <div>
        <asp:LinkButton ID="LinkButtonSearchCatalog" runat="server" PostBackUrl="~/SearchCatalog.aspx">カタログ検索</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonAddCatalog" runat="server" PostBackUrl="~/AddCatalog.aspx">カタログ追加</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonMoveStorage" runat="server" PostBackUrl="~/MoveCatalog.aspx">カタログ移動</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetStorage" runat="server" PostBackUrl="~/SetStorage.aspx">保管場所設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetCategory" runat="server" PostBackUrl="~/SetCategory.aspx">カテゴリー設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetMaybeMaker" runat="server" PostBackUrl="~/SetMaybeMaker.aspx">推定メーカー設定</asp:LinkButton>
        <br />
        <hr />
        <br />
        <table>
            <tr>
                <td>
        <asp:Label ID="Label2" runat="server" Text="カタログ名:"></asp:Label>
                </td>
                <td>
        <asp:TextBox ID="TextBoxCatalogName" runat="server" Width="500px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
        <asp:Label ID="Label3" runat="server" Text="メーカー:"></asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxMaker" runat="server" Columns="30" Width="500px"></asp:TextBox>
                    <asp:AutoCompleteExtender ID="TextBoxMaker_AutoCompleteExtender" runat="server" 
                        DelimiterCharacters="" Enabled="True" ServicePath="AutoComplete.asmx" 
                        ServiceMethod="GetCompletionList" 
                        MinimumPrefixLength="1" 
                        TargetControlID="TextBoxMaker" CompletionInterval="100">
                    </asp:AutoCompleteExtender>
                </td>
            </tr>
            <tr>
                <td>
        <asp:Label ID="Label6" runat="server" Text="キーワード１:"></asp:Label>
                </td>
                <td>
                    <asp:CheckBoxList ID="CheckBoxListCategory" runat="server" 
                        DataSourceID="sdsCategory" DataTextField="Category" DataValueField="Category" 
                        RepeatDirection="Horizontal" CellPadding="2" RepeatColumns="4">
                    </asp:CheckBoxList>
                </td>
            </tr>
            <tr>
                <td>
        <asp:Label ID="Label4" runat="server" Text="キーワード２:"></asp:Label>
                </td>
                <td>
        <asp:TextBox ID="TextBoxKeyword" runat="server" Width="500px"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
        <asp:Label ID="Label5" runat="server" Text="保管場所:"></asp:Label>
                </td>
                <td>
        <asp:DropDownList ID="DropDownListStorage" runat="server" DataSourceID="sdsStorage" 
            DataTextField="Storage" DataValueField="Storage" AppendDataBoundItems="True" 
                        ondatabound="DropDownListStorage_DataBound">
            <asp:ListItem></asp:ListItem>
        </asp:DropDownList>
                </td>
            </tr>            
            <tr>
                <td>
        <asp:CheckBox ID="CheckBoxProtect" runat="server" Text="保護" />
                </td>
                <td>
                    &nbsp;</td>
            </tr>            
            <tr>
                <td>
        <asp:Label ID="Label7" runat="server" Text="メモ:"></asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxNote" runat="server" Width="500px"></asp:TextBox>
                </td>
            </tr>            
        </table>
        <br />
        <br />
        <asp:Button ID="ButtonAdd" runat="server" onclick="ButtonAdd_Click" Text="追加" 
            style="height: 21px" />
        <br />
        <br />
        <asp:Label ID="LabelAddedCatalogNo" runat="server"></asp:Label>
        <asp:SqlDataSource ID="sdsStorage" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT [Storage] FROM [TableStorage]"></asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsCatalog" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            DeleteCommand="DELETE FROM [TableCatalog] WHERE [CatalogNo] = @CatalogNo" 
            InsertCommand="INSERT INTO [TableCatalog] ([CatalogNo], [CatalogName], [Maker], [Keyword], [Storage], [UpdatedTime], [CreatedTime], [Protect], [Note]) VALUES (@CatalogNo, @CatalogName, @Maker, @Keyword, @Storage, @UpdatedTime, @CreatedTime, @Protect, @Note)" 
            SelectCommand="SELECT [CatalogNo], [CatalogName], [Maker], [Keyword], [Storage], [UpdatedTime], [CreatedTime] FROM [TableCatalog]" 
            UpdateCommand="UPDATE [TableCatalog] SET [CatalogName] = @CatalogName, [Maker] = @Maker, [Keyword] = @Keyword, [Storage] = @Storage, [UpdatedTime] = @UpdatedTime, [CreatedTime] = @CreatedTime, [Protect] = @Protect, [Note] = @Note WHERE [CatalogNo] = @CatalogNo">
            <DeleteParameters>
                <asp:Parameter Name="CatalogNo" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="CatalogName" Type="String" />
                <asp:Parameter Name="Maker" Type="String" />
                <asp:Parameter Name="Keyword" Type="String" />
                <asp:Parameter Name="Storage" Type="String" />
                <asp:Parameter DbType="DateTime" Name="UpdatedTime" />
                <asp:Parameter DbType="DateTime" Name="CreatedTime" />
                <asp:Parameter Name="CatalogNo" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="CatalogNo" Type="Int32" />
                <asp:Parameter Name="CatalogName" Type="String" />
                <asp:Parameter Name="Maker" Type="String" />
                <asp:Parameter Name="Keyword" Type="String" />
                <asp:Parameter Name="Storage" Type="String" />
                <asp:Parameter DbType="DateTime" Name="UpdatedTime" />
                <asp:Parameter DbType="DateTime" Name="CreatedTime" />
            </InsertParameters>
        </asp:SqlDataSource>        
        <asp:SqlDataSource ID="sdsCategory" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT [Category] FROM [TableCategory] ORDER BY [Category]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsStats" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableStats]">
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
