﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MoveCatalog.aspx.cs" Inherits="CatalogManager.MoveStorage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>保管場所移動 - Catalog Manager</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <h1>カタログ移動 - Catalog Manager</h1>
    <div>
        <asp:LinkButton ID="LinkButtonSearchCatalog" runat="server" PostBackUrl="~/SearchCatalog.aspx">カタログ検索</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonAddCatalog" runat="server" PostBackUrl="~/AddCatalog.aspx">カタログ追加</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonMoveStorage" runat="server" PostBackUrl="~/MoveCatalog.aspx">カタログ移動</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetStorage" runat="server" PostBackUrl="~/SetStorage.aspx">保管場所設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetCategory" runat="server" PostBackUrl="~/SetCategory.aspx">カテゴリー設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetMaybeMaker" runat="server" PostBackUrl="~/SetMaybeMaker.aspx">推定メーカー設定</asp:LinkButton>
        <br />
        <hr />
        <asp:Label ID="Label1" runat="server" Text="移動元保管場所:"></asp:Label>
        <asp:DropDownList ID="DropDownListSourceStorage" runat="server" 
            DataSourceID="sdsStorage" DataTextField="Storage" DataValueField="Storage">
        </asp:DropDownList>
        <br />
        <asp:Label ID="Label2" runat="server" Text="移動先保管場所:"></asp:Label>
        <asp:DropDownList ID="DropDownListDestStorage" runat="server" 
            DataSourceID="sdsStorage" DataTextField="Storage" DataValueField="Storage">
        </asp:DropDownList>
        <br />
        <asp:Button ID="ButtonMove" runat="server" onclick="ButtonMove_Click" 
            Text="移動" />
        <asp:SqlDataSource ID="sdsStorage" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT [Storage] FROM [TableStorage]"></asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsCatalog" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            DeleteCommand="DELETE FROM [TableCatalog] WHERE [CatalogNo] = @CatalogNo" 
            InsertCommand="INSERT INTO [TableCatalog] ([CatalogNo], [CatalogName], [Maker], [Keyword], [Storage], [UpdatedTime], [CreatedTime], [Protect], [Note]) VALUES (@CatalogNo, @CatalogName, @Maker, @Keyword, @Storage, @UpdatedTime, @CreatedTime, @Protect, @Note)" 
            SelectCommand="SELECT [CatalogNo], [CatalogName], [Maker], [Keyword], [Storage], [UpdatedTime], [CreatedTime] FROM [TableCatalog]" 
            UpdateCommand="UPDATE [TableCatalog] SET [CatalogName] = @CatalogName, [Maker] = @Maker, [Keyword] = @Keyword, [Storage] = @Storage, [UpdatedTime] = @UpdatedTime, [CreatedTime] = @CreatedTime, [Protect] = @Protect, [Note] = @Note WHERE [CatalogNo] = @CatalogNo">
            <DeleteParameters>
                <asp:Parameter Name="CatalogNo" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="CatalogName" Type="String" />
                <asp:Parameter Name="Maker" Type="String" />
                <asp:Parameter Name="Keyword" Type="String" />
                <asp:Parameter Name="Storage" Type="String" />
                <asp:Parameter DbType="DateTime" Name="UpdatedTime" />
                <asp:Parameter DbType="DateTime" Name="CreatedTime" />
                <asp:Parameter Name="CatalogNo" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="CatalogNo" Type="Int32" />
                <asp:Parameter Name="CatalogName" Type="String" />
                <asp:Parameter Name="Maker" Type="String" />
                <asp:Parameter Name="Keyword" Type="String" />
                <asp:Parameter Name="Storage" Type="String" />
                <asp:Parameter DbType="DateTime" Name="UpdatedTime" />
                <asp:Parameter DbType="DateTime" Name="CreatedTime" />
            </InsertParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsStats" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableStats]">
        </asp:SqlDataSource>
    </div>
    <br />
    <asp:Label ID="Label3" runat="server" Text="「移動元保管場所」にあるカタログを全て「移動先保管場所」に移動させます。"></asp:Label>
    </form>
</body>
</html>
