﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SearchCatalog.aspx.cs" Inherits="CatalogManager._Default" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="ajx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>カタログ検索 - Catalog Manager</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <h1>
        <ajx:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
        </ajx:ToolkitScriptManager>
        カタログ検索 - Catalog Manager</h1>
    <div>
        <asp:LinkButton ID="LinkButtonSearchCatalog" runat="server" PostBackUrl="~/SearchCatalog.aspx">カタログ検索</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonAddCatalog" runat="server" PostBackUrl="~/AddCatalog.aspx">カタログ追加</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonMoveStorage" runat="server" PostBackUrl="~/MoveCatalog.aspx">カタログ移動</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetStorage" runat="server" PostBackUrl="~/SetStorage.aspx">保管場所設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetCategory" runat="server" PostBackUrl="~/SetCategory.aspx">カテゴリー設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetMaybeMaker" runat="server" PostBackUrl="~/SetMaybeMaker.aspx">推定メーカー設定</asp:LinkButton>
        <br />
        <hr />
        <br />
        <asp:MultiView ID="MultiView1" runat="server" ActiveViewIndex="0">
            <asp:View ID="View1" runat="server">
                <asp:Label ID="Label3" runat="server" Text="カタログ名/メーカー/キーワード:"></asp:Label>
                <asp:TextBox ID="TextBoxCatalogNameMakerKeyword" runat="server"></asp:TextBox>
                <ajx:AutoCompleteExtender ID="TextBoxCatalogNameMakerKeyword_AutoCompleteExtender" runat="server" 
                        DelimiterCharacters="" Enabled="True" ServicePath="AutoComplete.asmx" 
                        ServiceMethod="GetCompletionList" 
                        MinimumPrefixLength="1" 
                        TargetControlID="TextBoxCatalogNameMakerKeyword" CompletionInterval="100">
                    </ajx:AutoCompleteExtender>
                <asp:Button ID="ButtonSimpleSearch" runat="server" onclick="ButtonSimpleSearch_Click" 
                    Text="検索" />
                <asp:Button ID="ButtonSimpleClear" runat="server" onclick="ButtonSimpleClear_Click" 
                    Text="クリア" />
                <asp:Button ID="ButtonChangeDetailSearch" runat="server" 
                    onclick="ButtonChangeDetailSearch_Click" Text="詳細検索" />
            </asp:View>
            <asp:View ID="View2" runat="server">
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="Label2" runat="server" Text="カタログNo.:"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextBoxCatalogNo" runat="server" Width="50px"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="Label8" runat="server" Text="カタログ名:"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextBoxCatalogName" runat="server" Width="500px"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="Label9" runat="server" Text="メーカー:"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextBoxMaker" runat="server" Width="500px"></asp:TextBox>
                    <ajx:AutoCompleteExtender ID="TextBoxMaker_AutoCompleteExtender" runat="server" 
                        DelimiterCharacters="" Enabled="True" ServicePath="AutoComplete.asmx" 
                        ServiceMethod="GetCompletionList" 
                        MinimumPrefixLength="1" 
                        TargetControlID="TextBoxMaker" CompletionInterval="100">
                    </ajx:AutoCompleteExtender>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="Label12" runat="server" Text="メーカー（リスト）:"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="DropDownListMaker" runat="server" DataSourceID="sdsMaker" 
                                DataTextField="Maker" Width="500px" AppendDataBoundItems="True">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>

                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="Label10" runat="server" Text="キーワード:"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextBoxKeyword" runat="server" Width="500px"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="Label6" runat="server" Text="保管場所:"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="DropDownListStorage" runat="server" 
                                AppendDataBoundItems="True" DataSourceID="sdsStorage" DataTextField="Storage" 
                                DataValueField="Storage">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="Label11" runat="server" Text="保護:"></asp:Label>
                        </td>
                        <td>
                            <asp:DropDownList ID="DropDownListProtect" runat="server">
                                <asp:ListItem></asp:ListItem>
                                <asp:ListItem Value="1">あり</asp:ListItem>
                                <asp:ListItem Value="0">なし</asp:ListItem>
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="Label13" runat="server" Text="メモ:"></asp:Label>
                        </td>
                        <td>
                            <asp:TextBox ID="TextBoxNote" runat="server" Width="500px"></asp:TextBox>
                        </td>
                    </tr>
                </table>
                <asp:Button ID="ButtonDetailSearch" runat="server" 
                    onclick="ButtonDetailSearch_Click" Text="検索" />
                <asp:Button ID="ButtonDetailClear" runat="server" 
                    onclick="ButtonDetailClear_Click" Text="クリア" />
                <asp:Button ID="ButtonChangeSimpleSearch" runat="server" 
                    onclick="ButtonChangeSimpleSearch_Click" Text="簡易検索" />
            </asp:View>
        </asp:MultiView>
        <br />
        <asp:SqlDataSource ID="sdsStorage" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT [Storage] FROM [TableStorage]"></asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsMaker" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT DISTINCT [Maker] FROM [TableCatalog] ORDER BY [Maker]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsCatalog" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT [CatalogNo], [CatalogName], [Maker], [Keyword], [Storage], [UpdatedTime], [CreatedTime], [Protect], [Note] FROM [TableCatalog] ORDER BY [Maker], [CatalogName]" 
            DeleteCommand="DELETE FROM [TableCatalog] WHERE [CatalogNo] = @CatalogNo" 
            InsertCommand="INSERT INTO [TableCatalog] ([CatalogNo], [CatalogName], [Maker], [Keyword], [Storage], [UpdatedTime], [CreatedTime], [Protect], [Note]) VALUES (@CatalogNo, @CatalogName, @Maker, @Keyword, @Storage, @UpdatedTime, @CreatedTime, @Protect, @Note)" 
            UpdateCommand="CatalogUpdate" 
            ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
            UpdateCommandType="StoredProcedure">
            <DeleteParameters>
                <asp:Parameter Name="CatalogNo" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="CatalogNo" Type="Int32" />
                <asp:Parameter Name="CatalogName" Type="String" />
                <asp:Parameter Name="Maker" Type="String" />
                <asp:Parameter Name="Keyword" Type="String" />
                <asp:Parameter Name="Storage" Type="String" />
                <asp:Parameter DbType="DateTime" Name="UpdatedTime" />
                <asp:Parameter DbType="DateTime" Name="CreatedTime" />
                <asp:Parameter DbType="Byte" Name="Protect"/>
                <asp:Parameter Name="Note" Type="String" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="CatalogNo" Type="Int32" />
                <asp:Parameter Name="CatalogName" Type="String" />
                <asp:Parameter Name="Maker" Type="String" />
                <asp:Parameter Name="Keyword" Type="String" />
                <asp:Parameter Name="Storage" Type="String" />
                <asp:Parameter DbType="DateTime" Name="UpdatedTime" />
                <asp:Parameter DbType="DateTime" Name="CreatedTime" />
                <asp:Parameter DbType="Byte" Name="Protect"/>
                <asp:Parameter Name="Note" Type="String" />
            </InsertParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsStats" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableStats]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsMaybeMaker" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT TOP 1 [MaybeMaker] FROM [TableMaybeMaker] GROUP BY [MaybeMaker] ORDER BY COUNT(MaybeMaker) DESC">
        </asp:SqlDataSource>
        <br />
        <asp:LinkButton ID="LinkButtonMaybeMaker" runat="server" 
            onclick="LinkButtonMaybeMaker_Click"></asp:LinkButton>
        <br />
        <asp:GridView ID="GridViewCatalog" runat="server" AllowPaging="True" 
            AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="CatalogNo" 
            DataSourceID="sdsCatalog" onrowupdated="GridViewCatalog_RowUpdated" 
            BackColor="White" BorderColor="#DEDFDE" BorderStyle="None" BorderWidth="1px" 
            CellPadding="4" PageSize="20" ForeColor="Black" GridLines="Vertical" 
            onrowdeleting="GridViewCatalog_RowDeleting" 
            onpageindexchanged="GridViewCatalog_PageIndexChanged" 
            onrowdeleted="GridViewCatalog_RowDeleted" 
            onsorted="GridViewCatalog_Sorted">
            <RowStyle BackColor="#F7F7DE" />
            <Columns>
                <asp:TemplateField HeaderText="編集／削除">
                    <EditItemTemplate>
                        <asp:Button ID="ButtonUpdate" runat="server" CausesValidation="True" 
                            CommandName="Update" Text="更新" />
                        &nbsp;<asp:Button ID="ButtonCancel" runat="server" CausesValidation="False" 
                            CommandName="Cancel" Text="キャンセル" onclick="ButtonCancel_Click" />
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Button ID="ButtonEdit" runat="server" CausesValidation="False" 
                            CommandName="Edit" Text="編集" onclick="ButtonEdit_Click" />
                        &nbsp;<asp:Button ID="ButtonDelete" runat="server" CausesValidation="False" 
                            CommandName="Delete" onclientclick="return confirm('データベースから削除しますか？（元に戻せません）')" 
                            Text="削除" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:HyperLinkField DataNavigateUrlFields="CatalogNo" DataTextField="CatalogNo" 
                    DataTextFormatString="{0}" HeaderText="カタログNo." SortExpression="CatalogNo" />
                <asp:TemplateField HeaderText="カタログ名" SortExpression="CatalogName">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("CatalogName") %>' Width="300"></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label4" runat="server" Text='<%# Bind("CatalogName") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="メーカー" SortExpression="Maker">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Maker") %>'></asp:TextBox>
                        <ajx:AutoCompleteExtender ID="TextBox2_AutoCompleteExtender" runat="server" 
                            DelimiterCharacters="" Enabled="True" ServicePath="AutoComplete.asmx" 
                            ServiceMethod="GetCompletionList" 
                            MinimumPrefixLength="1" 
                            TargetControlID="TextBox2" CompletionInterval="100">
                        </ajx:AutoCompleteExtender>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# Bind("Maker") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="キーワード" SortExpression="Keyword">
                    <EditItemTemplate>
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Keyword") %>' 
                            Width="300px"></asp:TextBox>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("Keyword") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="保管場所" SortExpression="Storage">
                    <EditItemTemplate>
                        <asp:DropDownList ID="DropDownListStorage" runat="server" DataSourceID="sdsStorage" 
                            DataTextField="Storage" DataValueField="Storage" AppendDataBoundItems="True" 
                            SelectedValue='<%# Bind("Storage") %>'>
                            <asp:ListItem></asp:ListItem>
                        </asp:DropDownList>
                    </EditItemTemplate>
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Storage") %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:CheckBoxField DataField="Protect" HeaderText="保護" 
                    SortExpression="Protect" />
                <asp:BoundField DataField="UpdatedTime" HeaderText="更新日時" ReadOnly="True" 
                    SortExpression="UpdatedTime" Visible="False" />
                <asp:BoundField DataField="CreatedTime" HeaderText="作成日時" ReadOnly="True" 
                    SortExpression="CreatedTime" />
                <asp:BoundField DataField="Note" HeaderText="メモ" SortExpression="Note" />
            </Columns>
            <FooterStyle BackColor="#CCCC99" />
            <PagerStyle ForeColor="Black" HorizontalAlign="Center" BackColor="#EBEBAB" 
                Font-Bold="False" />
            <SelectedRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#6B696B" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
    </div>
    <br />
    <asp:Label ID="LabelCatalogFileBasePath" runat="server"></asp:Label>
    <input type="text" name="ghost" style="display:none" />
    </form>
</body>
</html>
