﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SetMaybeMaker.aspx.cs" Inherits="CatalogManager.SetMaybeMaker" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="ajx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>推定メーカー設定 - Catalog Manager</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <h1>
        <ajx:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
        </ajx:ToolkitScriptManager>
        推定メーカー設定 - Catalog Manager</h1>
    <div>
        <asp:LinkButton ID="LinkButtonSearchCatalog" runat="server" PostBackUrl="~/SearchCatalog.aspx">カタログ検索</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonAddCatalog" runat="server" PostBackUrl="~/AddCatalog.aspx">カタログ追加</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonMoveStorage" runat="server" PostBackUrl="~/MoveCatalog.aspx">カタログ移動</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetStorage" runat="server" PostBackUrl="~/SetStorage.aspx">保管場所設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetCategory" runat="server" PostBackUrl="~/SetCategory.aspx">カテゴリー設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetMaybeMaker" runat="server" PostBackUrl="~/SetMaybeMaker.aspx">推定メーカー設定</asp:LinkButton>
        <br />
        <hr />
        <br />
        <table>
            <tr>
                <td>
                    <asp:Label ID="Label1" runat="server" Text="メーカー:"></asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxMaker" runat="server">%</asp:TextBox>
                    <ajx:AutoCompleteExtender ID="TextBoxMaker_AutoCompleteExtender" runat="server" 
                        DelimiterCharacters="" Enabled="True" ServicePath="AutoComplete.asmx" 
                        ServiceMethod="GetCompletionList" 
                        MinimumPrefixLength="1" 
                        TargetControlID="TextBoxMaker" CompletionInterval="100">
                    </ajx:AutoCompleteExtender>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="Label2" runat="server" Text="推定メーカー:"></asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxMaybeMaker" runat="server">%</asp:TextBox>
                    <ajx:AutoCompleteExtender ID="TextBoxMaybeMaker_AutoCompleteExtender" runat="server" 
                        DelimiterCharacters="" Enabled="True" ServicePath="AutoComplete.asmx" 
                        ServiceMethod="GetCompletionList" 
                        MinimumPrefixLength="1" 
                        TargetControlID="TextBoxMaybeMaker" CompletionInterval="100">
                    </ajx:AutoCompleteExtender>
                </td>
            </tr>
        </table>
        <br />
        <asp:Button ID="ButtonSearch" runat="server" Text="検索" 
            onclick="ButtonSearch_Click"  />
        <asp:Button ID="ButtonClear" runat="server" Text="クリア" 
            onclick="ButtonClear_Click"   />
        <asp:Button ID="ButtonInsert" runat="server" Text="追加" 
            onclick="ButtonInsert_Click" />
        <asp:Button ID="ButtonDelete" runat="server" Text="削除" 
            onclick="ButtonDelete_Click" />
        <br />
        <br />
        <asp:Label ID="Label3" runat="server" Text="任意の文字列には「%」を指定してください。メーカーと推定メーカーの両方に「%」が指定されていると削除できません。"></asp:Label>
        <br />
        <br />
        <asp:GridView ID="GridViewMaybeMaker" runat="server" AllowSorting="True" 
            AutoGenerateColumns="False" BackColor="White" BorderColor="#DEDFDE" 
            BorderStyle="None" BorderWidth="1px" CellPadding="4" 
            DataSourceID="sdsMaybeMaker" ForeColor="Black" GridLines="Vertical" AllowPaging="True">
            <RowStyle BackColor="#F7F7DE" />
            <Columns>
                <asp:BoundField DataField="MaybeNo" HeaderText="推定No." 
                    SortExpression="MaybeNo" />
                <asp:BoundField DataField="Maker" HeaderText="メーカー" SortExpression="Maker" />
                <asp:BoundField DataField="MaybeMaker" HeaderText="推定メーカー" 
                    SortExpression="MaybeMaker" />
            </Columns>
            <FooterStyle BackColor="#CCCC99" />
            <PagerStyle BackColor="#EBEBAB" ForeColor="Black" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#CE5D5A" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#6B696B" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:SqlDataSource ID="sdsMaybeMaker" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableMaybeMaker]">
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="sdsStats" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableStats]">
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>