﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Administration.aspx.cs" Inherits="CatalogManager.Administration" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>データベース管理 - Catalog Manager</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <h1>データベース管理 - Catalog Manager</h1>
    <div>
        <asp:LinkButton ID="LinkButtonSearchCatalog" runat="server" PostBackUrl="~/SearchCatalog.aspx">カタログ検索</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonAddCatalog" runat="server" PostBackUrl="~/AddCatalog.aspx">カタログ追加</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonMoveStorage" runat="server" PostBackUrl="~/MoveCatalog.aspx">カタログ移動</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetStorage" runat="server" PostBackUrl="~/SetStorage.aspx">保管場所設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetCategory" runat="server" PostBackUrl="~/SetCategory.aspx">カテゴリー設定</asp:LinkButton>
        <asp:LinkButton ID="LinkButtonSetMaybeMaker" runat="server" PostBackUrl="~/SetMaybeMaker.aspx">推定メーカー設定</asp:LinkButton>
        <br />
        <hr />
    </div>
    <h2>カタログ</h2>
    <div>
        <asp:Button ID="ButtonCatalogExport" runat="server" 
            onclick="ButtonCatalogExport_Click" Text="エクスポート" />
        <asp:FileUpload ID="FileUploadCatalog" runat="server" />
        <asp:Button ID="ButtonCatalogImport" runat="server" 
            onclick="ButtonCatalogImport_Click" Text="インポート" />
        <asp:Button ID="ButtonCatalogClear" runat="server" onclick="ButtonCatalogClear_Click" 
            onclientclick="return confirm('全てのデータを削除しますか？（元に戻せません）')" Text="全てクリア" />
        <asp:SqlDataSource ID="sdsCatalog" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableCatalog]"></asp:SqlDataSource>
    </div>
    <h2>保管場所</h2>
    <div>
        <asp:Button ID="ButtonStorageExport" runat="server" Text="エクスポート" 
                onclick="ButtonStorageExport_Click" />
        <asp:FileUpload ID="FileUploadStorage" runat="server" />
        <asp:Button ID="ButtonStorageImport" runat="server" Text="インポート" 
                onclick="ButtonStorageImport_Click" />
        <asp:Button ID="ButtonStorageClear" runat="server" 
                onclientclick="return confirm('全てのデータを削除しますか？（元に戻せません）')" Text="全てクリア" 
                onclick="ButtonStorageClear_Click" />
        <asp:SqlDataSource ID="sdsStorage" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableStorage]"></asp:SqlDataSource>
    </div>
    <h2>カテゴリー</h2>
    <div>
        <asp:Button ID="ButtonCategoryExport" runat="server" Text="エクスポート" 
                onclick="ButtonCategoryExport_Click" />
        <asp:FileUpload ID="FileUploadCategory" runat="server" />
        <asp:Button ID="ButtonCategoryImport" runat="server" Text="インポート" 
                onclick="ButtonCategoryImport_Click" />
        <asp:Button ID="ButtonCategoryClear" runat="server" 
                onclientclick="return confirm('全てのデータを削除しますか？（元に戻せません）')" Text="全てクリア" 
                onclick="ButtonCategoryClear_Click" />
        <asp:SqlDataSource ID="sdsCategory" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableCategory]"></asp:SqlDataSource>
    </div>
    <h2>推定メーカー</h2>
    <div>
        <asp:Button ID="ButtonMaybeMakerExport" runat="server" Text="エクスポート" 
            onclick="ButtonMaybeMakerExport_Click" />
        <asp:FileUpload ID="FileUploadMaybeMaker" runat="server" />
        <asp:Button ID="ButtonMaybeMakerImport" runat="server" Text="インポート" 
            onclick="ButtonMaybeMakerImport_Click"  />
        <asp:Button ID="ButtonMaybeMakerClear" runat="server" 
            onclientclick="return confirm('全てのデータを削除しますか？（元に戻せません）')" Text="全てクリア" 
            onclick="ButtonMaybeMakerClear_Click" />
        <br />
        <asp:SqlDataSource ID="sdsMaybeMaker" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableMaybeMaker]">
        </asp:SqlDataSource>    
    </div>
    <h2>統計</h2>
    <div>
        <asp:Button ID="ButtonStatsExport" runat="server" Text="エクスポート" 
            onclick="ButtonStatsExport_Click" />
        <asp:FileUpload ID="FileUploadStats" runat="server" />
        <asp:Button ID="ButtonStatsImport" runat="server" Text="インポート" 
            onclick="ButtonStatsImport_Click" />
        <asp:Button ID="ButtonStatsClear" runat="server" 
            onclick="ButtonStatsClear_Click" 
            onclientclick="return confirm('全てのデータを削除しますか？（元に戻せません）')" Text="全てクリア" />
        <br />
        <asp:SqlDataSource ID="sdsStats" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT * FROM [TableStats]">
        </asp:SqlDataSource>    
    </div>
    <hr />
    <asp:Label ID="LabelInfo" runat="server"></asp:Label>
    </form>
</body>
</html>
